:root {
    --color1: #7E7E7E;
    --color2: #253D4E;
    --color3: #3BB77E;
}

.sect-page-product {
    padding-top: 30px;
    padding-bottom: 30px;

    .breadcrumbs {
        display: flex;
        list-style: none;
        padding: 0 0 16px 0;
        flex-wrap: nowrap;
        overflow-x: auto;

        .breadcrumb-item {
            color: lightgrey;
            font-size: 18px;
            flex: 0 0 auto;
            display: flex;
            align-items: center;

            a {
                color: lightgrey;

                &:hover {
                    color: #4CAF50;
                }
            }

            &::before {
                content: "";
                background: url(../../pictures/svg/breadcrumbs/angle-right-small.svg) 0 0 / contain no-repeat;
                display: block;
                width: 8px;
                height: 8px;
                padding-right: 6px;
                margin-right: 8px;
                margin-left: 8px;
            }
        }

        &__home-link {

            svg path {
                stroke: lightgrey;
            }

            &:hover {
                svg path {
                    stroke: #4CAF50;
                }
            }
        }
    }

    &__content {
        display: flex;
        justify-content: center;
        align-items: start;
        flex-direction: column;
        max-width: 100%;
        margin: 0;
    }

    &__wrap {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 20px;
        position: relative;
        width: 100%;
        height: 50vh;
    }
}

.product-page {
    &__img-wrap {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        align-content: center;
        align-self: center;
        height: 100%;
        width: 40%;

        .swiper {
            width: 100%;
            height: 100%;
        }

        .swiper-slide {
            text-align: center;
            font-size: 18px;
            background: #fff;

            /* Center slide text vertically */
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .swiper-slide img {
            display: block;
            //width: 100%;
            height: 100%;
            object-fit: cover;
        }

        .swiper {
            width: 100%;
            height: 300px;
            margin-left: auto;
            margin-right: auto;
        }

        .swiper-slide {
            background-size: cover;
            background-position: center;
        }

        .mySwiper2 {
            height: 100%;
            width: 100%;
        }

        .mySwiper {
            height: 40%;
            box-sizing: border-box;
            padding: 10px 0;
        }

        .mySwiper .swiper-slide {
            width: 25%;
            height: 100%;
            opacity: 0.4;
            object-fit: contain;
        }

        .mySwiper .swiper-slide-thumb-active {
            opacity: 1;
        }

        .swiper-slide img {
            display: block;
            //width: 100%;
            max-height: 100%;
            object-fit: contain;
        }
    }

    &__btn-edit,
    &__btn-save {
        position: absolute;
        top: 10px;
        right: 10px;
        z-index: 10;
    }

    &__desc {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        align-self: flex-start;
        gap: 10px;
        flex-basis: 60%;
        width: 100%;
        padding-left: 16px;

        &-header {
            display: flex;
            justify-content: space-between;
            align-items: flex-end;
            align-content: space-between;
            width: 100%;
            margin-bottom: 10px;
        }
    }

    &__name {
        width: 100%;
        font-size: 40px;
        line-height: 45px;
        margin-bottom: 26px;
    }

    &__reviews {
        display: flex;
        align-items: flex-end;
        gap: 10px;

        span {
            line-height: 18px;
            font-size: 18px;
        }
    }

    &__article {
        font-size: 18px;
        background-color: #f8fbfd;
        padding: 6px 6px 6px 6px;
        border-radius: 4px;

        span {
            color: #ADADAD;
        }
    }

    &__category {
        font-size: 18px;
        background-color: #f8fbfd;
        padding: 6px 6px 6px 6px;
        border-radius: 4px;

        &-link {
            color: #4CAF50;
            cursor: pointer;
        }
    }

    &__country {
        font-size: 18px;
        background-color: #f8fbfd;
        padding: 6px 6px 6px 6px;
        border-radius: 4px;

        span {
            color: #ADADAD;
        }
    }

    &__price {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 20px;
        margin: 20px 0;
    }

    &__currentprice {
        font-size: 34px;
        font-weight: 800;
        line-height: 38px;
        color: #3BB77E;
    }

    &__previousprice {
        font-size: 22px;
        font-weight: 700;
        line-height: 22px;
        color: #ff6b6b;
    }

    &__units {
        margin: 0 12px;
        font-size: 14px;
        font-weight: 600;
        color: #333333;
    }

    &__quantity {
        span {
            font-size: 18px;
            font-weight: 800;
            color: #4CAF50;
        }
    }

    &__non-available {
        span {
            color: #df1c59;
            font-size: 18px;
        }
    }

    &__btn-add {
        width: 50%;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 10px 20px;
        background-color: #BCE3C9;
        border-radius: 4px;
        position: relative;

        &:hover {
            box-shadow: 0 0 2px 2px #3BB77E;
        }

        span {
            margin-left: 5px;
            color: #3BB77E;
            font-size: 16px;
            font-weight: 700;
            line-height: 20px;
        }
    }

    &__btn-favorite {
        position: relative;
        margin-top: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 10px;

        &-cta {
            //color: #ADADAD;
            font-size: 18px;
            animation-duration: 3s;
            animation-name: animation;

            @keyframes animation {
                0% {
                    opacity: 0;
                    transform: translateX(-50px);
                }

                100% {
                    opacity: 1;
                    transform: translateX(0px);
                }
            }
        }

        &.is-favorite {

            span {
                color: #3BB77E;
            }

            & svg path {
                fill: #3BB77E
            }

            &:hover {
                span {
                    color: #3BB77E;
                }

                & svg path {
                    fill: #3BB77E;
                }
            }
        }
    }

    &__sticker {
        position: absolute;
        left: -1px;
        top: -1px;
        padding: 8px 20px;
        border-top-left-radius: 16px;
        border-bottom-right-radius: 16px;
        //font-family: Lato;
        font-size: 12px;
        font-weight: 400;
        line-height: 12px;
        color: #FFFFFF;
        z-index: 1;


        &.sale {
            background-color: #67BCEE;
        }

        &.new {
            background-color: #3BB77E;
        }

        &.hot {
            background-color: #F74B81;
        }
    }

    &__info {
        width: 100%;
        margin-top: 30px;
    }

    &__info-title {
        text-align: left;
        font-size: 28px;
        line-height: 32px;
        border-bottom-width: 4px;
        border-bottom-style: solid;
        border-bottom-color: #fdfdfd;
        border-radius: 6px;
    }

    &__info-wrap {
        width: 100%;
        margin-top: 15px;
        display: flex;
        flex-direction: column;
        //justify-content: flex-start;
        //align-items: flex-start;
    }

    &__info-property,
    &__info-general {
        margin-bottom: 20px;
        width: 100%;
    }

    &__property-title,
    &__general-title {
        font-weight: 600;
        font-size: 20px;
        line-height: 22px;
        position: relative;
        padding-left: 10px;
    }

    &__property-info,
    &__general-info {
        display: flex;
        width: 100%;
        //justify-content: space-between;
        align-items: flex-end;
        gap: .5rem;
        margin-top: 10px;
        padding: 10px 10px 10px 16px;
        font-size: 18px;
        line-height: 20px;
        border-radius: 6px;

        &:nth-child(odd) {
            background-color: #f8fbfd;
            width: 100%;
        }

        div {
            width: 50%;
            position: relative;
            overflow: hidden;

            &::after {
                content: "................................................................................................................................................................................................................................................................................................................................................................................................................................................";
                overflow: hidden;
                color: black;
                padding: .225rem .5rem 0;
                width: calc(100% - 1rem);
                font-size: .75rem;
                position: absolute;
            }
        }

        span {
            width: 40%;
            word-break: break-word
        }
    }

    &__info-nav {
        list-style: none;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        padding: 10px;

        .react-tabs {

            &__tab--selected {
                border: none;
                outline: none;
                border-bottom: 2px solid #3BB77E;
            }
        }

        &-item {
            margin-right: 20px;
            font-size: 22px;
            cursor: pointer;
            border-bottom: 2px solid transparent;
            position: relative;

            &:hover {
                border-bottom: 2px solid #3BB77E;
            }

            .product-page__reviews-counter {
                position: absolute;
                top: -4px;
                right: -10px;
                border-radius: 50%;
                font-size: 14px;
                color: #3BB77E;
            }
        }
    }

    &__product-description {
        padding: 10px;
        font-size: 18px;
    }
}

.btn-add-disabled {

    &:before {
        content: '';
        position: absolute;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        background-color: #ADADAD;
        border-radius: 10px;
        opacity: 0.3;
    }

    &:hover {
        box-shadow: unset;
    }
}

@media all and (max-width: 768px) {

    .swiper-free-mode>.swiper-wrapper {
        height: 6em;
    }

    .sect-page-product {

        &__wrap {
            flex-direction: column;
            height: auto;
        }
    }

    .product-page {
        &__name {
            font-size: 30px;
            line-height: unset;
        }

        &__img-wrap {
            width: 100%;
        }

        &__desc {
            padding: 0 10px;
        }

        &__btn-favorite-cta {
            font-size: 16px;
        }
    }
}

@media all and (max-width: 480px) {

    .swiper-free-mode>.swiper-wrapper {
        height: 4em;
    }

    .swiper-button-prev,
    .swiper-button-next {
        display: none;
    }

    .product-page {

        &__btn-favorite-cta {
            display: none;
        }

        &__btn-add {
            width: 100%;

            &-disabled {
                width: 100%;
            }
        }

        &__info-nav {
            flex-direction: column;
            align-items: flex-start;
            gap: 8px;
        }

        &__property-title,
        &__general-title {
            font-size: 18px;
        }
    }
}